[SA23662] Cuyahoga FCKEditor Security Bypass Issue

2007-01-12T00:00:00
ID SECURITYVULNS:DOC:15704
Type securityvulns
Reporter Securityvulns
Modified 2007-01-12T00:00:00

Description

TITLE: Cuyahoga FCKEditor Security Bypass Issue

SECUNIA ADVISORY ID: SA23662

VERIFY ADVISORY: http://secunia.com/advisories/23662/

CRITICAL: Moderately critical

IMPACT: Security Bypass

WHERE: >From remote

SOFTWARE: Cuyahoga 1.x http://secunia.com/product/13174/

DESCRIPTION: A security issue has been reported in Cuyahoga, which can be exploited by malicious people to bypass certain security restrictions.

The security issue is caused due to incorrect security restrictions of the FCKEditor component. This can be exploited to e.g. gain upload and file browser access.

The security issue is reported in versions prior to 1.0.1.

SOLUTION: Update to version 1.0.1 or get the updated web.config file and copy it into the /Support/FCKeditor/editor/filemanager/ directory.

http://www.cuyahoga-project.org/UserFiles/File/FCKeditor-Web.config.zip

PROVIDED AND/OR DISCOVERED BY: Reported by the vendor.

ORIGINAL ADVISORY: http://www.cuyahoga-project.org/10/section.aspx/61


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.